
From: "Andi Kleen" <ak@suse.de>

Fix missing delay when the TSC counter just overflowed

Noticed by Jan Beulich

Signed-off-by: Andi Kleen <ak@suse.de>
Cc: <Jbeulich@novell.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/lib/delay.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/x86_64/lib/delay.c~x86_64-fix-missing-delay-when-the-tsc-counter-just arch/x86_64/lib/delay.c
--- 25/arch/x86_64/lib/delay.c~x86_64-fix-missing-delay-when-the-tsc-counter-just	Thu Mar 24 15:24:32 2005
+++ 25-akpm/arch/x86_64/lib/delay.c	Thu Mar 24 15:24:32 2005
@@ -21,7 +21,7 @@ int x86_udelay_tsc = 0;		/* Delay via TS
 
 void __delay(unsigned long loops)
 {
-	unsigned long bclock, now;
+	unsigned bclock, now;
 	
 	rdtscl(bclock);
 	do
_
